Skip to main content
`Ctrl`+`K`

# DSSetExtraRow

Sets a flag to indicate that the matrix has one extra row.

## Synopsis

    #include "slepcds.h"
    PetscErrorCode DSSetExtraRow(DS ds,PetscBool ext)

Logically Collective

## Input Parameters

- ds - the direct solver context

- ext - a boolean flag

## Notes

In Krylov methods it is useful that the matrix representing the direct solver has one extra row, i.e., has dimension \((n+1) \times n\). If this flag is activated, all transformations applied to the right of the matrix also affect this additional row. In that case, \((n+1)\) must be less or equal than the leading dimension.

The default is `PETSC_FALSE`.

## See Also

DS: Direct Solver (or Dense System), `DSSolve()`, `DSAllocate()`, `DSGetExtraRow()`

## Level

advanced

## Location

src/sys/classes/ds/interface/dsbasic.c

Index of all DS routines Table of Contents for all manual pages Index of all manual pages